package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsExportTask;
import org.apache.ibatis.annotations.Select;

/**
 * 导出任务Mapper接口
 *
 * @author fs
 * @date 2024-11-19
 */
public interface FsExportTaskMapper
{
    /**
     * 查询导出任务
     *
     * @param taskId 导出任务主键
     * @return 导出任务
     */
    public FsExportTask selectFsExportTaskByTaskId(Long taskId);

    /**
     * 查询导出任务列表
     *
     * @param fsExportTask 导出任务
     * @return 导出任务集合
     */
    public List<FsExportTask> selectFsExportTaskList(FsExportTask fsExportTask);

    /**
     * 新增导出任务
     *
     * @param fsExportTask 导出任务
     * @return 结果
     */
    public int insertFsExportTask(FsExportTask fsExportTask);

    /**
     * 修改导出任务
     *
     * @param fsExportTask 导出任务
     * @return 结果
     */
    public int updateFsExportTask(FsExportTask fsExportTask);

    /**
     * 删除导出任务
     *
     * @param taskId 导出任务主键
     * @return 结果
     */
    public int deleteFsExportTaskByTaskId(Long taskId);

    /**
     * 批量删除导出任务
     *
     * @param taskIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsExportTaskByTaskIds(Long[] taskIds);

    @Select("select count(1) from fs_export_task where sys_type=1 and `status`=0 and user_id=#{userId}")
    Integer isExportType1(Long userId);
    @Select("select count(1) from fs_export_task where sys_type=2 and `status`=0 and company_user_id=#{userId}")
    Integer isExportType2(Long userId);
}
